VERSION 5.00
Begin VB.Form frmFileAndLine
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "File and Line Allocation Failure"
   ClientHeight    =   2415
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4515
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2415
   ScaleWidth      =   4515
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton btnCancel
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   2280
      TabIndex        =   6
      Top             =   1920
      Width           =   1335
   End
   Begin VB.CommandButton btnOK
      Caption         =   "&Ok"
      Default         =   -1  'True
      Height          =   375
      Left            =   720
      TabIndex        =   5
      Top             =   1920
      Width           =   1215
   End
   Begin VB.CheckBox chkFailAll
      Caption         =   "Fail all allocations in this file"
      Height          =   255
      Left            =   1800
      TabIndex        =   4
      Top             =   1440
      Width           =   2415
   End
   Begin VB.TextBox txtLine
      Height          =   285
      Left            =   120
      TabIndex        =   3
      Top             =   1440
      Width           =   1335
   End
   Begin VB.TextBox txtFile
      Height          =   285
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   4215
   End
   Begin VB.Label Label2
      Caption         =   "Enter the line number for where allocation failures will need to take place:"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   960
      Width           =   4215
   End
   Begin VB.Label Label1
      Caption         =   "Enter the file for failing allocations:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   4215
   End
End
Attribute VB_Name = "frmFileAndLine"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' John Robbins
' Microsoft Systems Journal, October 1997 - Dem Bugs!
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' The public properties for the dialog.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' The file to be displayed.
Public m_strFile As String
' The line to be displayed.  If this is "-1", then the lines to fail on
'  are all the lines in the file.
Public m_strLine As String
' The result of the dialog.  If it is vbOK, then the user pressed, OK.
'  If the result is vbCancel, then the user pressed Cancel.
Public m_lResult As Long

' The constant that can be used to set m_strLine to make sure that
'  everything is coordinated.
Private Const ALL_LINES As String = "-1"


''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' Normal form operations.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Private Sub Form_Load()

   ' Set all the controls appropriately.
   txtFile.Text = m_strFile
   If (ALL_LINES = m_strLine) Then
      txtLine.Enabled = False
      chkFailAll.Value = 1
   Else
      txtLine.Text = m_strLine
      chkFailAll.Value = 0
   End If

End Sub

' Only allow numbers in the line edit control.
Private Sub txtLine_KeyPress(KeyAscii As Integer)

   ' If this is not a numeric character or a back space, then don't
   '  accept it.
   If (((KeyAscii >= vbKey0) And (KeyAscii <= vbKey9)) Or _
        (vbKeyBack = KeyAscii)) Then
      KeyAscii = KeyAscii
   Else
      KeyAscii = 0
   End If

End Sub

' OK was pressed.
Private Sub btnOK_Click()

   ' Is there valid data?
   If (("" <> txtFile.Text) And _
      (("" <> txtLine.Text) Or (1 = chkFailAll.Value))) Then

      m_strFile = txtFile.Text
      If (1 = chkFailAll.Value) Then
         m_strLine = ALL_LINES
      Else
         m_strLine = txtLine.Text
      End If
      m_lResult = vbOK
      Unload Me

   Else

      MsgBox "Invalid data in the dialog", vbOKOnly

   End If

End Sub

Private Sub btnCancel_Click()
   m_lResult = vbCancel
   Unload Me
End Sub

